Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 607353 - CDROM amounted with "noexec"
CDROM amounted with "noexec"
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: autofs (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Ian Kent
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 17:33 EDT by Simon Gao
Modified: 2012-05-15 02:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-15 02:41:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Gao 2010-06-23 17:33:43 EDT
Description of problem:

When a user inserts a CD into CDROM drive, the CD got mounted under /mnt/cdrom with "noexec" arguement. As a result, user can't run install script from /mnt/cdrom/install directory. 


Version-Release number of selected component (if applicable):

5.x

How reproducible:


Steps to Reproduce:
1. Insert an CD disc and let autofs mount the CD automatically
2. change /mnt/cdrom, and try run any executable script
3. 
  
Actual results:

It failed running any script directly off /mnt/cdrom/<install path>.

Expected results:

The script should run.

Additional info:
Comment 1 Ian Kent 2011-03-28 00:26:08 EDT
So this bug has been missed because it's nothing to do with
autofs.

Is it still a problem?
I don't know what component this should be against so that's a
problem as well.

Note You need to log in before you can comment on or make changes to this bug.